function OnWarpEnter() 
	SetMarker("cs\\Warp_0061.wp" , 0 , 0) 

	if ETAT_DAY == "D5" then 
		AnimationSetToStart("fxc1",false)
		StartAnimationPart("fvc1",60,70,-1,false)
		LookAt(048,003)	
		StartAnimationPart("fuc1",0,20,-1,true)
		--SetMarker("fuc1",4,0)
		GUARD_QUEEN_ROOM_D5 = false
		if not TALK_QUEEN_D5 then
			 TALK_QUEEN_D5 = true
			MISTAKE = 0
			---SetMarker("fuc1",-1,0)
			StartAnimationPart("fuc1",20,40,-1,true)
			if DRESS_MONK then
				DrawText("Ca3027","Ca3027.ogg",5) -- Qu'as-tu à me dire de si urgent moine ?
				DrawText("Ma3028","Ma3028.ogg",0) -- Je suis venue vous prier de croire que mon père est innocent de tout ce dont on l'accuse !
				DrawText("Ca3029","Ca3029.ogg",5) -- Pourquoi ne suis-je qu'à moitié surprise de te voir t'introduire chez moi, ainsi déguisée ?
				DrawText("Ma3030","Ma3030.ogg",0) -- Peut-être vous doutiez-vous déjà que César et moi sommes une et même personne et qu'un déguisement de plus, au fond, n'a rien de surprenant.
				DrawText("Ma3031","Ma3031.ogg",0) -- Ou simplement car vous ne croyiez pas à la culpabilité de Nostradamus et que vous attendiez, d'une façon ou d'une autre, ma venue.
				DrawText("Ca3032","Ca3032.ogg",5) -- Je crois que tu me dois une explication.
			else
				DrawText("Ca3023","Ca3023.ogg",5) -- Voilà donc en chair et en os la plus grande de toutes les impostures qu'il m'ait été donné de voir ! Comment faut-il t'appeler ? Madeleine ou bien César ? 
				DrawText("Ma3024","Ma3024.ogg",0) -- Majesté, veuillez me pardonnez pour cette mascarade, mais vous devez connaître la vérité ! 
				DrawText("Ca3025","Ca3025.ogg",5) -- Vérité ! Ce mot sonne faux dans ta bouche.
				DrawText("Ma3026","Ma3026.ogg",0) -- En accusant mon père et Chavigny, vous laissez les vrais coupables libres de recommencer à vous nuire.
				DrawText("Ca3032","Ca3032.ogg",5) -- Je crois que tu me dois une explication.
			end
		end
	end 
end

function OnWarpLeave() 
end

function AskSeparation()
	if ETAT_DAY == "D5" then
		-- use idle animation while showing choices
		StartAnimationPart("fuc1",0,20,-1,true)
		
		if QUEEN_QUESTION_5 then
			PushAnswer("Ma3052") -- Le scribe que vous croyez mort est l'assassin de Constance !
			PushAnswer("Ma3053") -- Quelqu'un de tellement malin qu'il parait aujourd'hui insoupçonnable.
		elseif QUEEN_QUESTION_4 then
			PushAnswer("Ma3049") -- Mon père est entre les mains de vos gardes, et bien qu'il soit odieux, Chavigny est mon ami. Et puis, il n'y a pas de sortie qui ne passe sous le nez de vos hommes.
			PushAnswer("Ma3051") -- Vous ne seriez jamais venue ici si vous n'aviez pas eu une grande confiance en mon père. Laissez-moi vous prouver que ce n'était pas une erreur, je ne vous décevrai pas.
		elseif QUEEN_QUESTION_3 then
			PushAnswer("Ma3045") -- S'il vous plaît, il faut me croire !
			PushAnswer("Ma3047") -- Vous n'avez rien à perdre à me laisser essayer. Si je me trompe ou que je ne parviens pas à vous convaincre, nous savons, vous comme moi, que j'ai peu de chance de m'en sortir.
		elseif QUEEN_QUESTION_2 then
			PushAnswer("Ma3038") -- Je sais qu'aucune explication ne pourra vous satisfaire entièrement. Alors la seule façon de vous convaincre est de confondre le vrai coupable.
			PushAnswer("Ma3043") -- C'est le scribe qui vous a trahi, ainsi que votre apothicaire. Ils sont tout deux en vie. Ils ont avalé une potion qui permet de simuler la mort.
		elseif QUEEN_QUESTION_1 then
			PushAnswer("Ma3033") -- On cherche à vous tromper.
			PushAnswer("Ma3036") -- Je ne suis pas venue défendre ma propre tête.
		end
	end
end

function OnAnswered(dialogName)
	if ETAT_DAY == "D5" then

			if dialogName == "Ma3052" then -- Le scribe que vous croyez mort est l'assassin de Constance !
				if MISTAKE <= 1 then
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3054","Ca3054.ogg",5) -- Tu fais beaucoup trop de mystère à mon goût.
				elseif MISTAKE >= 2 then 
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3089","Ca3089.ogg",5) -- J'en ai suffisamment entendu.
					DrawText("Ca3090","Ca3090.ogg",5) -- Garde !
				end
			end

			if dialogName == "Ma3053" then -- Quelqu'un de tellement malin qu'il parait aujourd'hui insoupçonnable.
				DrawText("Ma3055","Ma3055.ogg",0) -- Quelle est la meilleure façon d'être soudain lavé de tout soupçon ?
				DrawText("Ca3056","Ca3056.ogg",5) -- Faire accuser quelqu'un à sa place... Se faire passer pour une victime !
				DrawText("Ma3057","Ma3057.ogg",0) -- Exactement, Majesté. Feindre la mort. Si vous faites vérifier vous constaterez que le corps du scribe n'est pas dans la chapelle.
				DrawText("Ca3058","Ca3058.ogg",5) -- Mais comment est-ce possible ?
				DrawText("Ma3059","Ma3059.ogg",0) -- Avec un complice comme votre apothicaire beaucoup de choses deviennent possibles.
				DrawText("Ca3060","Ca3060.ogg",5) -- Lui aussi serait encore en vie alors.
				DrawText("Ma3061","Ma3061.ogg",0) -- Ca je ne le sais pas, mais il a dû apprendre au scribe quelques-uns de ses secrets.
				DrawText("Ca3063","Ca3063.ogg",5) -- Si tu dis vrai, tu prends de gros risques en tendant un piège à l'assassin.
				DrawText("Ma3064","Ma3064.ogg",0) -- Quoi que nous fassions nous courons tous de gros risques Majesté.
				DrawText("Ma3065","Ma3065.ogg",0) -- Vous savez mieux que quiconque combien vos ennemis sont dangereux.
				DrawText("Ca3078","Ca3078.ogg",5) -- Très bien Madeleine, tu m'as convaincue de te laisser une chance.
				DrawText("Ma3079","Ma3079.ogg",0) -- Je ne vous décevrai pas.
				DrawText("Ca3080","Ca3080.ogg",5) -- Je te laisse un peu de temps mais ne sois pas trop longue à mettre ton plan à exécution. Quand tu entendras sonner les cloches tu sauras que je ne suis pas loin. Ce sera le moment où jamais de le faire parler. 
				DrawText("Ca3081","Ca3081.ogg",5) -- Une dernière question tout de même, comment as-tu découvert l'existence de ces galeries souterraines ?
				DrawText("Ma3082","Ma3082.ogg",0) -- C'est Philibert le bibliothécaire du château qui les a trouvées, pour l'instant je n'ai fait que suivre ses traces. D'après ses notes, il était sur le point de découvrir un sanctuaire quand il mort, c'est là que je dois prendre la relève.
				DrawText("Ca3083","Ca3083.ogg",5) -- Et bien fait vite. Tu n'as pas de temps à perdre !
				DrawText("Ca3084","Ca3084.ogg",5) -- Oh, j'allais oublier ! Tu n'as plus besoin de tous tes déguisements à présent. Donne-les-moi, je préfère te savoir vêtue en jeune femme, plutôt que d'avoir un caméléon dans ces murs.
				DrawText("Ma3085","Ma3085.ogg",0) -- Bien Majesté.
			end

			if dialogName == "Ma3049" then -- 
				StartAnimationPart("fuc1",20,40,-1,true)
				DrawText("Ca3050","Ca3050.ogg",5) -- Très bien. Alors puis-je enfin savoir qui est ce mystérieux suspect ?
			end
			if dialogName == "Ma3051" then -- Vous ne seriez jamais venue ici si vous n'aviez pas eu une grande confiance en mon père. Laissez-moi vous prouver que ce n'était pas une erreur, je ne vous décevrai pas. 
				if MISTAKE <= 1 then
					MISTAKE = 2
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3044","Ca3044.ogg",5) -- Je m'attendais à mieux de ta part ! Cette histoire est complètement absurde.
				elseif MISTAKE >= 2 then
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3089","Ca3089.ogg",5) -- J'en ai suffisamment entendu. 
					DrawText("Ca3090","Ca3090.ogg",5) --  Garde !
				else
					MISTAKE = 1
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3044","Ca3044.ogg",5) -- Je m'attendais à mieux de ta part ! Cette histoire est complètement absurde.				
				end
			end
			if dialogName == "Ma3045" then -- S'il vous plaît, il faut me croire !
				if MISTAKE <= 1  then
					MISTAKE = 2
					QUEEN_QUESTION_4 = true
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3046","Ca3046.ogg",5) -- Qui me dit que tu ne tenteras pas de t'enfuir ? 
				elseif MISTAKE >= 2 then
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3089","Ca3089.ogg",5) -- J'en ai suffisamment entendu. 
					DrawText("Ca3090","Ca3090.ogg",5) --  Garde !
				else 
					MISTAKE = 1 
					QUEEN_QUESTION_4 = true
					DrawText("Ca3046","Ca3046.ogg",5) -- Qui me dit que tu ne tenteras pas de t'enfuir ? 
				end
			end
			if dialogName == "Ma3047" then -- Vous n'avez rien à perdre à me laisser essayer. Si je me trompe ou que je ne parviens pas à vous convaincre, nous savons, vous comme moi, que j'ai peu de chance de m'en sortir. 
				StartAnimationPart("fuc1",20,40,1,true)
				DrawText("Ca3048","Ca3048.ogg",5) -- Tu es très habile.
			end
			if dialogName == "Ma3038" then -- Je sais qu'aucune explication ne pourra vous satisfaire entièrement. Alors la seule façon de vous convaincre est de confondre le vrai coupable.
				StartAnimationPart("fuc1",20,40,-1,true)
				DrawText("Ca3039","Ca3039.ogg",5) -- Et comment comptes-tu t'y prendre ?
				DrawText("Ma3040","Ma3040.ogg",0) -- J'ai découvert une galerie sous le château qui doit dater du temps des peuples celtes. D'après les notes que j'ai trouvées chez celui que je soupçonne, il en connaît l'existence et pense qu'un trésor s'y cache.
				DrawText("Ma3041","Ma3041.ogg",0) -- J'ai l'intention de l'y attirer. Si mes observations sont justes les puits qui éclairent la galerie conduisent aussi les sons. De la chapelle, vous devriez donc pouvoir nous entendre.
				DrawText("Ca3042","Ca3042.ogg",5) -- J'y ai en effet remarqué d'étranges bruits.
			end
			if dialogName == "Ma3043" then -- C'est le scribe qui vous a trahi, ainsi que votre apothicaire. Ils sont tout deux en vie. Ils ont avalé une potion qui permet de simuler la mort.
				if MISTAKE <= 1 then
					MISTAKE = 2
					QUEEN_QUESTION_3 = true	
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3044","Ca3044.ogg",5) -- Je m'attendais à mieux de ta part ! Cette histoire est complètement absurde.			
				elseif MISTAKE >= 2 then
					StartAnimationPart("fuc1",20,40,-1,true)
					DrawText("Ca3089","Ca3089.ogg",5) -- J'en ai suffisamment entendu. 
					DrawText("Ca3090","Ca3090.ogg",5) --  Garde !		
				end
			end
			if dialogName == "Ma3033" then -- On cherche à vous tromper.
				DrawText("Ma3034","Ma3034.ogg",0) -- Ceux qui vous ont trahis ne sont pas ceux que vous pensez.
				DrawText("Ca3035","Ca3035.ogg",5) -- C'est tout ce que tu as trouvé ?
				MISTAKE = 1
			end
			if dialogName == "Ma3036" then -- Je ne suis pas venue défendre ma propre tête. 
				StartAnimationPart("fuc1",20,40,-1,true)
				DrawText("Ca3035","Ca3035.ogg",5) -- C'est tout ce que tu as trouvé ?
			end
	end
end

function OnDialogFinished(dialogName)
	if ETAT_DAY == "D5" then

		if dialogName == "Ca3032" then -- 
			QUEEN_QUESTION_1 = true
			AskSeparation()
		end
		if dialogName == "Ca3044" then -- 
			AskSeparation()
		end
		if dialogName == "Ca3046" then -- 
			AskSeparation()
		end
		if dialogName == "Ca3090" then -- 
			ShowDocument("DeadEnd") 
			PlaySound("Sounds/SFX/M_Cine008.ogg",1) 
			PlayMusic("Sounds/Musiques/silence5s.ogg") 
			QUEEN_QUESTION_5 = false
			QUEEN_QUESTION_4 = false
			QUEEN_QUESTION_3 = false
			QUEEN_QUESTION_2 = false
			QUEEN_QUESTION_1 = false
			--Reset game
		end
		if dialogName == "Ca3050" then -- 
			QUEEN_QUESTION_5 = true
			AskSeparation()
		end
		if dialogName == "Ca3048" then -- 
			QUEEN_QUESTION_4 = true
			AskSeparation()
		end
		if dialogName == "Ca3042" then --
			QUEEN_QUESTION_3 = true
			AskSeparation()
		end
		if dialogName == "Ca3035" then --
			QUEEN_QUESTION_2 = true
			AskSeparation()
		end
		if dialogName == "Ma3053" or dialogName == "Ca3054" then
			DrawText("Ma3055","Ma3055.ogg",0) -- Quelle est la meilleure façon d'être soudain lavé de tout soupçon ?
			DrawText("Ca3056","Ca3056.ogg",5) -- Faire accuser quelqu'un à sa place... Se faire passer pour une victime !
			DrawText("Ma3057","Ma3057.ogg",0) -- Exactement, Majesté. Feindre la mort. Si vous faites vérifier vous constaterez que le corps du scribe n'est pas dans la chapelle.
			DrawText("Ca3058","Ca3058.ogg",5) -- Mais comment est-ce possible ?
			DrawText("Ma3059","Ma3059.ogg",0) -- Avec un complice comme votre apothicaire beaucoup de choses deviennent possibles.
			DrawText("Ca3060","Ca3060.ogg",5) -- Lui aussi serait encore en vie alors.
			DrawText("Ma3061","Ma3061.ogg",0) -- Ca je ne le sais pas, mais il a dû apprendre au scribe quelques-uns de ses secrets.

			DrawText("Ca3063","Ca3063.ogg",5) -- Si tu dis vrai, tu prends de gros risques en tendant un piège à l'assassin.
			DrawText("Ma3064","Ma3064.ogg",0) -- Quoi que nous fassions nous courons tous de gros risques Majesté.
			DrawText("Ma3065","Ma3065.ogg",0) -- Vous savez mieux que quiconque combien vos ennemis sont dangereux.
			DrawText("Ca3078","Ca3078.ogg",5) -- Très bien Madeleine, tu m'as convaincue de te laisser une chance.
			DrawText("Ma3079","Ma3079.ogg",0) -- Je ne vous décevrai pas.
			DrawText("Ca3080","Ca3080.ogg",5) -- Je te laisse un peu de temps mais ne sois pas trop longue à mettre ton plan à exécution. Quand tu entendras sonner les cloches tu sauras que je ne suis pas loin. Ce sera le moment où jamais de le faire parler. 
			DrawText("Ca3081","Ca3081.ogg",5) -- Une dernière question tout de même, comment as-tu découvert l'existence de ces galeries souterraines ?
			DrawText("Ma3082","Ma3082.ogg",0) -- C'est Philibert le bibliothécaire du château qui les a trouvées, pour l'instant je n'ai fait que suivre ses traces. D'après ses notes, il était sur le point de découvrir un sanctuaire quand il mort, c'est là que je dois prendre la relève.
			DrawText("Ca3083","Ca3083.ogg",5) -- Et bien fait vite. Tu n'as pas de temps à perdre !
			DrawText("Ca3084","Ca3084.ogg",5) -- Oh, j'allais oublier ! Tu n'as plus besoin de tous tes déguisements à présent. Donne-les-moi, je préfère te savoir vêtue en jeune femme, plutôt que d'avoir un caméléon dans ces murs.
			DrawText("Ma3085","Ma3085.ogg",0) -- Bien Majesté.

		end

		if dialogName=="Ma3028" or dialogName=="Ma3031"	or dialogName=="Ma3052" or dialogName=="Ma3051" or dialogName=="Ma3043" or dialogName=="Ma3049" or dialogName=="Ma3045" or dialogName=="Ma3034" or dialogName=="Ma3036"
			or dialogName=="Ma3038" or dialogName=="Ma3041" or dialogName=="Ma3053" or dialogName=="Ma3055" or dialogName=="Ma3057" or dialogName=="Ma3059" or dialogName=="Ma3065" or dialogName=="Ma3079" or dialogName=="Ma3061" 
			or dialogName=="Ma3065" or dialogName=="Ma3079" or dialogName=="Ma3082" or dialogName=="Ma3085" or dialogName == "Ma3024" or dialogName == "Ma3026" then
			StartAnimationPart("fuc1",20,40,-1,true)
		end
		if dialogName=="Ca3027" or dialogName=="Ca3029" or dialogName=="Ca3032" or dialogName=="Ca3054" or dialogName=="Ca3090" or dialogName=="Ca3032" or dialogName=="Ca3044" or dialogName=="Ca3046"
		or dialogName=="Ca3050" or dialogName=="Ca3035" or dialogName=="Ca3039" or dialogName=="Ca3042" or dialogName=="Ca3054" or dialogName=="Ca3056" or dialogName=="Ca3058" or dialogName=="Ca3060"
		or dialogName=="Ca3063" or dialogName=="Ca3078" or dialogName=="Ca3081" or dialogName=="Ca3084" or dialogName == "Ca3023" or dialogName == "Ca3025"
		or dialogName == "Ca3025" then
			StartAnimationPart("fuc1",0,20,-1,true)
		end

		if dialogName == "Ma3085" then -- 
			SetCesarDressable(false)
			SetMonkDressable(false)
			DRESS_CESAR = false
			DRESS_MONK = false	
			DRESS_MADELEINE = true
			ChangeWarp("3D\\cs\\Warp_0063.wp", false)
		end
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0061.wp" then 
		if ETAT_DAY == "D5" then
			LookAt(048,003)
			AskSeparation()		
		else
			ChangeWarp("3D\\cs\\Warp_0063.wp")
		end
	end
end

function OnDocumentClosed(documentId)

	if documentId == "DeadEnd" then
		LookAt(048,003)
		StartAnimationPart("fuc1",20,40,-1,true)
		if DRESS_MONK then
			DrawText("Ca3027","Ca3027.ogg",5) -- Qu'as-tu à me dire de si urgent moine ?
			DrawText("Ma3028","Ma3028.ogg",0) -- Je suis venue vous prier de croire que mon père est innocent de tout ce dont on l'accuse !
			DrawText("Ca3029","Ca3029.ogg",5) -- Pourquoi ne suis-je qu'à moitié surprise de te voir t'introduire chez moi, ainsi déguisée ?
			DrawText("Ma3030","Ma3030.ogg",0) -- Peut-être vous doutiez-vous déjà que César et moi sommes une et même personne et qu'un déguisement de plus, au fond, n'a rien de surprenant.
			DrawText("Ma3031","Ma3031.ogg",0) -- Ou simplement car vous ne croyiez pas à la culpabilité de Nostradamus et que vous attendiez, d'une façon ou d'une autre, ma venue.
			DrawText("Ca3032","Ca3032.ogg",5) -- Je crois que tu me dois une explication
		else
			DrawText("Ca3023","Ca3023.ogg",5) -- Voilà donc en chair et en os la plus grande de toutes les impostures qu'il m'ait été donné de voir ! Comment faut-il t'appeler ? Madeleine ou bien César ? 
			DrawText("Ma3024","Ma3024.ogg",0) -- Majesté, veuillez me pardonnez pour cette mascarade, mais vous devez connaître la vérité ! 
			DrawText("Ca3025","Ca3025.ogg",5) -- Vérité ! Ce mot sonne faux dans ta bouche.
			DrawText("Ma3026","Ma3026.ogg",0) -- En accusant mon père et Chavigny, vous laissez les vrais coupables libres de recommencer à vous nuire.
			DrawText("Ca3032","Ca3032.ogg",5) -- Je crois que tu me dois une explication.
		end
	end

end
